#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
PKG  = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
VER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog -SVersion | cut -d- -f1)

%:
	dh $@ 

override_dh_auto_build:

get-orig-source: $(info I: $(PKG)_$(VER))
	cd ${CURDIR}
	git clone https://github.com/ben-strasser/fast-cpp-csv-parser.git ../$(PKG)_$(VER)
	$(RM) -r ../$(PKG)_$(VER)/.git
	tar -cJf ../$(PKG)_$(VER).orig.tar.xz ../$(PKG)_$(VER)
	$(RM) -r ../$(PKG)_$(VER)
